List available areas
curl --request POST \
--url https://dev-api.amplify.xyz/v1/numbers/area-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_code": "AU"
}
'import requests
url = "https://dev-api.amplify.xyz/v1/numbers/area-list"
payload = { "country_code": "AU" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({country_code: 'AU'})
};
fetch('https://dev-api.amplify.xyz/v1/numbers/area-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 1,
"data": [
{
"name": "Adelaide",
"country_code": "AU",
"code": "8",
"prefix": "8"
}
]
}{
"status": 0,
"message": "The country code field is required."
}Numbers
List available areas
List geographic areas and area codes available within a country.
POST
/
v1
/
numbers
/
area-list
List available areas
Returns the areas where phone numbers are available for the required
country_code.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
